Skip to content

Submit Turn

POST
/api/v1/team-chat/turns
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/team-chat/turns \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "agent_role": "ceo", "attachments": [ {} ], "chat_action": { "branches": [ { "alternative_action": "example", "label": "example" } ], "capability": "strategy_session", "decision_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "horizon_months": 6, "topic": "example" }, "message": "example", "request_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "thread_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'
Media typeapplication/json
ChatTurnRequest
object
agent_role
Agent Role
string
default: ceo >= 1 characters <= 100 characters
attachments
Attachments
Array<object>
<= 5 items
object
key
additional properties
any
chat_action
Any of:
ChatAction
object
branches
Any of:
Array<object>
>= 2 items <= 4 items
ReplayBranch
object
alternative_action
required
Alternative Action
string
>= 1 characters <= 4096 characters
label
required
Label
string
>= 1 characters <= 200 characters
capability
required
Capability
string
Allowed values: strategy_session war_room strategy_replay
decision_id
Any of:
string format: uuid
horizon_months
Horizon Months
integer
default: 6 >= 1 <= 12
topic
Any of:
string
>= 1 characters <= 4096 characters
message
required
Message
string
>= 1 characters <= 4096 characters
request_id
required
Request Id
string format: uuid
thread_id
Any of:
string format: uuid

Successful Response

Media typeapplication/json
ChatTurnAccepted
object
message_id
required
Message Id
string format: uuid
status
required
Status
string
task_id
required
Task Id
string format: uuid
thread_id
required
Thread Id
string format: uuid
Examplegenerated
{
"message_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"status": "example",
"task_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"thread_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}